spring:
  application:
    name: microservice-config-server
  profiles:
    active: native
  cloud:
    config:
      server:
        native:
          search-locations: classpath:/
server:
  port: 8777
eureka:
  client:
    fetch-registry: true
    registry-fetch-interval-seconds: 8
    healthcheck:
      enabled: true
    serviceUrl:
      defaultZone: http://user:password123@eureka:8762/eureka
#      defaultZone: http://user:password123@eureka:8761/eureka
#      defaultZone: http://user:password123@172.19.0.1:8761/eureka
  instance:
    lease-renewal-interval-in-seconds: 4
    lease-expiration-duration-in-seconds: 12
    prefer-ip-address: true
    instance-id: ${spring.cloud.client.ip-address}:${spring.application.instance_id:${server.port}}
